Bug 28146 - Uncompilable sources in CVS
Uncompilable sources in CVS
Status: CLOSED FIXED
Product: qa
Classification: Unclassified
Component: Jellytools
3.x
All All
: P1 (vote)
: TBD
Assigned To: issues@qa
issues@qa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 17:06 UTC by Marian Mirilovic
Modified: 2002-10-23 09:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2002-10-21 17:06:15 UTC
I file this issue only because I would like to be
notified about possibility to use sources from 
jellytools CVS.

I have found commit of Adam S. from Friday
18.10/17.45, which add calls of
PerimeterPaneOperator but the same class isn't
present in CVS.

So today sources aren't compilable :
---------------
compile:
    [javac] Compiling 409 source files to
/local_export/sources/nb_all/jellytool
s/src
    [javac]
/local_export/sources/nb_all/jellytools/src/org/netbeans/jellytools/
NbFrameOperator.java:51: cannot resolve symbol
    [javac] symbol  : class PerimeterPaneOperator 
    [javac] location: class
org.netbeans.jellytools.NbFrameOperator
    [javac]     private PerimeterPaneOperator
perimeter;
    [javac]             ^
    [javac]
/local_export/sources/nb_all/jellytools/src/org/netbeans/jellytools/
NbFrameOperator.java:136: cannot resolve symbol
    [javac] symbol  : class PerimeterPaneOperator 
    [javac] location: class
org.netbeans.jellytools.NbFrameOperator
    [javac]     public PerimeterPaneOperator
perimeterPane() {
    [javac]            ^
    [javac]
/local_export/sources/nb_all/jellytools/src/org/netbeans/jellytools/
NbFrameOperator.java:138: cannot resolve symbol
    [javac] symbol  : class PerimeterPaneOperator 
    [javac] location: class
org.netbeans.jellytools.NbFrameOperator
    [javac]             perimeter=new
PerimeterPaneOperator(this);
    [javac]                           ^
    [javac] Note: Some input files use or override
a deprecated API.
    [javac] Note: Recompile with -deprecation for
details.
    [javac] 3 errors
----------------------
Comment 1 Adam Sotona 2002-10-22 08:25:26 UTC
PerimeterPaneOperator added
Comment 2 Marian Mirilovic 2002-10-22 16:25:02 UTC
Thank you very much, verified.
Comment 3 Marian Mirilovic 2002-10-22 16:46:51 UTC
I am sorry, but sources aren't compilebale again:
--------------------------
compile:
    [javac] Compiling 286 source files to
/local_export/sources/nb_all/jellytools/src
    [javac]
/local_export/sources/nb_all/jellytools/src/org/netbeans/jellytools/OutputWindowOperator.java:88:
cannot resolve symbol
    [javac] symbol  : method perimeterPane ()
    [javac] location: class
org.netbeans.jellytools.OutputWindowOperator
    [javac]         if (perimeterPane().center() instanceof
JTabbedPaneOperator)
    [javac]             ^
    [javac]
/local_export/sources/nb_all/jellytools/src/org/netbeans/jellytools/OutputWindowOperator.java:89:
cannot resolve symbol
    [javac] symbol  : method perimeterPane ()
    [javac] location: class
org.netbeans.jellytools.OutputWindowOperator
    [javac]             return
(JTabbedPaneOperator)perimeterPane().center();
    [javac]                                         ^
    [javac]
/local_export/sources/nb_all/jellytools/src/org/netbeans/jellytools/OutputWindowOperator.java:90:
cannot resolve symbol
    [javac] symbol  : method perimeterPane ()
    [javac] location: class
org.netbeans.jellytools.OutputWindowOperator
    [javac]         return new
JTabbedPaneOperator((ContainerOperator)perimeterPane().center());
    [javac]                                                          
^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -deprecation for details.
    [javac] 3 errors

BUILD FAILED
--------------------------------------------
Comment 4 Jiri Skrivanek 2002-10-23 07:24:20 UTC
I am able to compile jellytools. Try ant clean before.
Comment 5 Marian Mirilovic 2002-10-23 09:09:20 UTC
My fault, I am sorry.
Comment 6 Marian Mirilovic 2002-10-23 09:10:48 UTC
fixed by Adam S.
Comment 7 Marian Mirilovic 2002-10-23 09:12:25 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo